# TeensyColorOrgan-FFT

NOTE: this github is a work in progress and more info about building the 
color organ will follow.

   Teensy Color Organ

     The hardware and software detailed within implements an 8 channel digital color organ
     based on a 1024 point FFT

     Features include:
       Input from a built-in microphone or line level inputs
       Automatic volume control
       Programmable density of LEDs / band
       The ability to store/load current color organ configuration to/from files on the SD memory card
       Special color dynamics mode where LED assigned to a band can change position periodicly

    Hardware
      The following hardware items are used in this project
      1. Teensy 3.1/3.2 Micro Controller - pjrc.com
      2. Teensy Audio Adapter Board - pjrc.com
      3. Color 320x240 Touchscreen, 2.8 inch, ILI9341 Controller - pjrc.com
      4. 2 GB (or smaller) microSD card
      5. 74AHCT125 quad level shifter
      6. (2) 100 ohm resistors
      7. Minature SPST pushbutton switch
      8. 1000 uF 15VDC or better capacitor
      9. (3) .1 uF bypass capacitors
     10. 5 volts DC power supply capable of at least 3 AMPs of continuous current
     11. 5 volt WS2812B LED strip with density of 30 LEDs/meter. One length of 120 LEDs

    Software
      The following software was used to compile this code
      1. Arduino IDE Version: 1.6.9 - https://www.arduino.cc/en/Main/Software
      2. Teensyduino Version: 1.29 - https://www.pjrc.com/teensy/td_download.html
      3. ILI9341_t3 LCD driver - https://github.com/PaulStoffregen/ILI9341_t3
      4. XPT2046 touch screen driver -  https://github.com/PaulStoffregen/XPT2046_Touchscreen
      5. The Audio library - https://github.com/PaulStoffregen/Audio
      6. Adafruit Neopixel library - https://github.com/adafruit/Adafruit_NeoPixel

   Color Organ Concept, Design and Implementation by: Craig A. Lindley
   
